View Issue Details

IDProjectCategoryView StatusLast Update
0000367WackoWikidatabasepublic2014-04-14 13:23
Reporteradministrator Assigned Toadministrator  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.3.rc 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000367: add new menu table and action
DescriptionCREATE TABLE IF NOT EXISTS `wacko_menu` (
  `menu_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `page_id` int(10) unsigned NOT NULL,
  `lang` varchar(2) NOT NULL,
  `menu_title` varchar(100) NOT NULL,
  `menu_position` smallint(2) unsigned NOT NULL,
  PRIMARY KEY (`menu_id`),
  UNIQUE KEY `user_id` (`user_id`,`page_id`)
) ENGINE=MyISAM;

add action bookmarks
add function RemoveBookmarks
deleting also all associate bookmarks with the page
Additional Informationmanage your bookmarks
{{menu}}

for usersettings via

$this->Action('menu')

migration can be done via the new {{adminupdate}} action
TagsNo tags attached.

Relationships

related to 0000366 resolvedadministrator Can't remove bookmarks in all themes in +/- Add/Remove Bookmarks 
child of 0000300 resolvedadministrator Normalize database 

Activities

administrator

2010-06-17 11:57

administrator   ~0000761

http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/stable/rev/a3fd88818266

administrator

2014-04-14 13:20

administrator   ~0000920

Last edited: 2014-04-14 13:23

View 3 revisions

Fixed broken menu session array after updating bookmarks via menu action

Part 1: http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/39f4ff2f82c8
Part 2: http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/31841b2681b8

Was a mixture of typo, missing SQL queries cache purge and broken redirect.

Issue History

Date Modified Username Field Change
2010-06-17 11:56 administrator New Issue
2010-06-17 11:56 administrator Status new => assigned
2010-06-17 11:56 administrator Assigned To => administrator
2010-06-17 11:57 administrator Note Added: 0000761
2010-06-17 11:57 administrator Status assigned => resolved
2010-06-17 11:57 administrator Resolution open => fixed
2010-06-17 11:57 administrator Fixed in Version => 5.0.beta
2010-06-17 11:58 administrator Relationship added related to 0000366
2010-06-17 12:13 administrator Summary add new bookmarks table => add new bookmarks table and action
2010-06-17 12:21 administrator Description Updated View Revisions
2010-06-17 12:21 administrator Additional Information Updated View Revisions
2010-06-17 13:01 administrator Relationship added child of 0000300
2010-06-17 13:03 administrator Summary add new bookmarks table and action => add new bookmark table and action
2010-06-17 13:03 administrator Description Updated View Revisions
2011-05-31 21:24 administrator Build => R5.0.beta
2011-06-02 11:57 administrator Summary add new bookmark table and action => add new menu table and action
2011-06-02 11:57 administrator Description Updated View Revisions
2011-06-02 11:57 administrator Additional Information Updated View Revisions
2014-04-14 13:20 administrator Note Added: 0000920
2014-04-14 13:20 administrator Note Edited: 0000920 View Revisions
2014-04-14 13:23 administrator Note Edited: 0000920 View Revisions